## prefixdate 0.5.0

=== Makefile ===

test:
	mypy --strict prefixdate
	pytest --cov-report html --cov-report term --cov=prefixdate tests/

## prefixdate 0.4.1

=== debian/changelog ===
prefixdate (0.4.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 20 Jan 2023 21:36:18 +0000

prefixdate (0.4.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1025068)

 -- Edward Betts <edward@4angle.com>  Mon, 05 Dec 2022 06:12:40 +0000

=== debian/control ===
Source: prefixdate
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/pudo/prefixdate
Vcs-Browser: https://salsa.debian.org/python-team/packages/prefixdate
Vcs-Git: https://salsa.debian.org/python-team/packages/prefixdate.git

Package: python3-prefixdate
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Prefix date parser
 This is a helper class to parse dates with varied degrees of precision. For
 example, a data source might state a date as `2001`, `2001-4` or `2001-04-02`,
 with the implication that only the year, month or day is known. This library
 will process such partial dates into a structured format and allow their
 validation and re-formatting (e.g. turning `2001-4` into `2001-04` above).
 .
 The library does not support the complexities of the ISO 8601 and RFC 3339
 standards including date ranges and calendar-week/day-of-year notations.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=prefixdate
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf prefixdate.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/prefixdate-$1\.tar\.gz/ \
  https://github.com/pudo/prefixdate/tags .*/v?(\d\S+)\.tar\.gz

## prefixdate 0.5.0

=== debian/changelog ===
prefixdate (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Add pybuild-plugin-pyproject to Build-Depends.
  * Switch to autopkgtest-pkg-pybuild.
  * Upstream switch build system from setuptools to hatchling.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Wed, 06 Aug 2025 07:33:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,29 @@
 Source: prefixdate
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               python3-all,
-               python3-pytest <!nocheck>,
-               python3-setuptools
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-hatchling,
+Build-Depends-Indep:
+ python3-pytest <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/pudo/prefixdate
 Vcs-Browser: https://salsa.debian.org/python-team/packages/prefixdate
 Vcs-Git: https://salsa.debian.org/python-team/packages/prefixdate.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-prefixdate
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Prefix date parser
  This is a helper class to parse dates with varied degrees of precision. For
  example, a data source might state a date as `2001`, `2001-4` or `2001-04-02`,

=== debian/watch ===
version=4
https://github.com/pudo/prefixdate/tags .*/v?(\d\S+)\.tar\.gz
